#include "WProgram.h"

int inPin = 7; // pin off the botton
int inVal; // inputVariable
int inFlag;
int comInVal;
int comOutVal;
long rnd;
int pos = 1500;
  
int servoPin = 2;     // Control pin for servo motor
int minPulse = 500;   // Minimum servo position
int maxPulse = 2500;  // Maximum servo position
int pulse = 0;        // Amount to pulse the servo

long lastPulse = 0;    // the time in milliseconds of the last pulse
int refreshTime = 20; // the time needed in between pulses

int analogValue = 0;  // the value returned from the analog sensor
int analogPin = 0;    // the analog pin that the sensor's on

void setup() {
  pinMode(inPin, INPUT);    // declare pushbutton as input
  digitalWrite(inPin, HIGH); // enable PullUpResistor for inPin
  
  pinMode(servoPin, OUTPUT);  // Set servo pin as an output pin
  pulse = minPulse;           // Set the motor position value to the minimum
  Serial.begin(9600);
}

void loop() {
 comInVal = Serial.read(); // read comInVal from Computer
 inVal = digitalRead(inPin);  // read input value from Button
 
 
 if (comInVal == 'n'){ // move right with "m"
 pos = pos - 100;
 }
 
  if (comInVal == 'm'){ // move left with "n"
 pos = pos + 100;
 }
 
 // Servor runs only if the button is pressed
 if (inVal == 0){
     pulse = pos;
     Serial.println(pos);
   }
                                        

  // pulse the servo again if rhe refresh time (20 ms) have passed:
  if (millis() - lastPulse >= refreshTime) {
    digitalWrite(servoPin, HIGH);   // Turn the motor on
    delayMicroseconds(pulse);       // Length of the pulse sets the motor position
    digitalWrite(servoPin, LOW);    // Turn the motor off
    lastPulse = millis();           // save the time of the last pulse
  }
}
